<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myDetailTandaTerimaLabel" jhiTranslate="mpmApp.detailTandaTerima.home.createOrEditLabel">Create or edit a Detail Tanda Terima</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!detailTandaTerima.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="detailTandaTerima.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.iddetreceipt" for="field_iddetreceipt">Iddetreceipt</label>
            <input type="number" class="form-control" name="iddetreceipt" id="field_iddetreceipt"
                [(ngModel)]="detailTandaTerima.iddetreceipt"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.idreceipt" for="field_idreceipt">Idreceipt</label>
            <input type="number" class="form-control" name="idreceipt" id="field_idreceipt"
                [(ngModel)]="detailTandaTerima.idreceipt"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.invno" for="field_invno">Invno</label>
            <input type="text" class="form-control" name="invno" id="field_invno"
                [(ngModel)]="detailTandaTerima.invno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.dtinv" for="field_dtinv">Dtinv</label>
            <div class="d-flex">
                <input id="field_dtinv" type="datetime-local" class="form-control" name="dtinv" [(ngModel)]="detailTandaTerima.dtinv"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.invtaxno" for="field_invtaxno">Invtaxno</label>
            <input type="text" class="form-control" name="invtaxno" id="field_invtaxno"
                [(ngModel)]="detailTandaTerima.invtaxno"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.dtinvtax" for="field_dtinvtax">Dtinvtax</label>
            <div class="d-flex">
                <input id="field_dtinvtax" type="datetime-local" class="form-control" name="dtinvtax" [(ngModel)]="detailTandaTerima.dtinvtax"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.total" for="field_total">Total</label>
            <input type="number" class="form-control" name="total" id="field_total"
                [(ngModel)]="detailTandaTerima.total"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.notes" for="field_notes">Notes</label>
            <input type="text" class="form-control" name="notes" id="field_notes"
                [(ngModel)]="detailTandaTerima.notes"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailTandaTerima.ntotal" for="field_ntotal">Ntotal</label>
            <input type="number" class="form-control" name="ntotal" id="field_ntotal"
                [(ngModel)]="detailTandaTerima.ntotal"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
